<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения.
 * 
 * Файл: /admin/shop/action/delete_big_image.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$edit_groups_id = to_int($_REQUEST['item_id']);

//$row = $shop->GetShop($edit_groups_id);
$row = $shop->GetGroup($edit_groups_id);

$uploaddir = $shop->GetGroupDir($edit_groups_id);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		
		$image_file = $row['shop_groups_image'];
		
		// Путь к большой картинке
		//$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/shop_group_' . $edit_groups_id . '/' . $image_file;
		$fname = CMS_FOLDER . $uploaddir . $image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{	
			// Удаляем файл большого изображения
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_groups_table` SET `shop_groups_image` = ''  WHERE shop_groups_id=$edit_groups_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>